﻿using NetMQ;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace QuickOPCTest
{
    internal class Program
    {
        static void Main(string[] args)
        {
            NetMQConfig.Linger = TimeSpan.FromSeconds(0);
            NetMQConfig.MaxSockets = 2048;
            Thread.CurrentThread.CurrentCulture = new CultureInfo("en-US");
            Thread.CurrentThread.CurrentUICulture = new CultureInfo("en-US");

            if (Environment.UserInteractive)
            {
                using (var consoleService = new Service1())
                    consoleService.LaunchOnConsole(args);
            }
            else
            {
                ServiceBase[] ServicesToRun;
                ServicesToRun = new ServiceBase[] { new Service1() };
                ServiceBase.Run(ServicesToRun);
            }
        }
    }
}
