﻿using System.ServiceProcess;

using OpcLabs.EasyOpc.UA;
using OpcLabs.EasyOpc.UA.Engine;
using OpcLabs.EasyOpc.DataAccess;
using System;

namespace QuickOPCTest
{
    partial class Service1 : ServiceBase
    {
        bool stopping = false;
        private static EasyDAClient Test = new EasyDAClient();
        private static EasyUAClient Test2 = new EasyUAClient();

        public Service1()
        {
            InitializeComponent();

            Test.Dispose();
            Test = null;

            Test2.Dispose();
            Test2 = null;

            EasyUAClient.SharedParameters.EngineParameters.CertificateAcceptancePolicy.AcceptAnyCertificate = true;
            EasyUAClient.SharedParameters.EngineParameters.CertificateAcceptancePolicy.AllowSha1SignedCertificates = true;
            EasyUAClient.SharedParameters.EngineParameters.CertificateAcceptancePolicy.AllowUserAcceptCertificate = false;
            EasyUAClient.SharedParameters.EngineParameters.ReconnectionPeriod = 4000;
            EasyUAClient.SharedParameters.EngineParameters.RetrialDelay = 4000;
            EasyUAClient.AdaptableParameters.SessionParameters.EndpointSelectionPolicy = UAMessageSecurityModes.All;
            EasyUAClient.AdaptableParameters.SessionParameters.EndpointSelectionPolicy.AllowZeroSecurityLevel = true;
            EasyUAClient.AdaptableParameters.SessionParameters.EndpointSelectionPolicy.AllowedMessageSecurityModes = UAMessageSecurityModes.All;
            EasyUAClient.AdaptableParameters.SessionParameters.EndpointSelectionPolicy.RejectObsoleteSecurityPolicies = false;
            EasyUAClient.AdaptableParameters.SessionParameters.EndpointSelectionPolicy.RequireIntegrity = false;
        }

        internal void LaunchOnConsole(string[] args)
        {
            Console.WriteLine("Comm Server is starting in console mode.");
            OnStart(args);
            Console.ReadLine();
            OnShutdown();
        }

        protected override void OnStart(string[] args)
        {
            // TODO: Add code here to start your service.
        }

        protected override void OnStop()
        {
            // TODO: Add code here to perform any tear-down necessary to stop your service.
        }
    }
}
